%define module	chardet

Summary:	Character encoding auto-detection in Python
Name:		python-%{module}
Version:	2.1.1
Release:	%mkrel 5
License:	LGPLv2+
Group:		Development/Python
Source0:	https://pypi.python.org/packages/source/c/chardet/%{module}-%{version}.tar.gz
Patch0:		python3-chardet-2.1.1.patch
URL:		https://pypi.python.org/pypi/chardet
BuildRequires:	python-devel
BuildRequires:	python-setuptools
BuildArch:	noarch

%description
Character encoding auto-detection in Python. As smart as your browser.

%package -n python3-%{module}
Summary:	Character encoding auto-detection in Python
Group:		Development/Python
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools

%description -n python3-%{module}
Character encoding auto-detection in Python. As smart as your browser.

%prep
%setup -q -n %{module}-%{version}

#for python3 build
cp -a . %{py3dir}
pushd %{py3dir}
%apply_patches
popd

%build
%{__python} setup.py build

pushd %{py3dir}
%{__python3} setup.py build
popd

%install
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root=%{buildroot}
popd

mv %{buildroot}%{_bindir}/chardetect.py %{buildroot}%{_bindir}/python3-chardetect.py

%{__python} setup.py install --skip-build --root=%{buildroot}

%files
%doc docs/*
%{python_sitelib}/%{module}-%{version}-py%{pyver}.egg-info/
%{python_sitelib}/%{module}/
%{_bindir}/chardetect.py

%files -n python3-%{module}
%doc docs/*
%{python3_sitelib}/%{module}-%{version}-py%{py3ver}.egg-info/
%{python3_sitelib}/%{module}/
%{_bindir}/python3-chardetect.py


%changelog
* Tue Oct 22 2013 umeabot <umeabot> 2.1.1-5.mga4
+ Revision: 545760
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 philippem <philippem> 2.1.1-4.mga4
+ Revision: 501743
- Fix Python 3 build

  + pterjan <pterjan>
    - Rebuild to add different pythonegg provides for python 2 and 3

* Sat Jul 06 2013 wally <wally> 2.1.1-2.mga4
+ Revision: 450721
- fix python3 pkg shebangs

* Sat Jul 06 2013 wally <wally> 2.1.1-1.mga4
+ Revision: 450714
- new version 2.1.1
- enable python3 build
- fix url and source tags
- clean .spec

* Sun Jan 13 2013 umeabot <umeabot> 2.0.1-4.mga3
+ Revision: 378542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 05 2011 ahmad <ahmad> 2.0.1-3.mga1
+ Revision: 47058
- drop the buildroot tag
- replace "%%py_requires -d" with python-devel
- imported package python-chardet


* Thu Jan 28 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.1-2mdv2011.0
+ Revision: 497655
- fix license

* Thu Jan 28 2010 Rémy Clouard <shikamaru@mandriva.org> 2.0.1-1mdv2010.1
+ Revision: 497650
- bump release

* Fri May 08 2009 Anssi Hannula <anssi@mandriva.org> 1.0.1-1mdv2010.0
+ Revision: 373562
- new version
- fix buildroot and URL
- use py_requires
- drop --optimize=2
- initial Mandriva release

